{
  ...
}:
{
  name = "service-stirling-pdf";

  clan = {
    directory = ./.;
    inventory = {
      machines.server = { };

      instances = {
        stirling-pdf-test = {
          module.name = "@clan/stirling-pdf";
          module.input = "self";
          roles.default.machines."server".settings = { };
        };
      };
    };
  };

  nodes = {
    server = { };
  };

  testScript = ''
    start_all()

    server.wait_for_unit("stirling-pdf")

    server.succeed("systemctl status stirling-pdf")

  '';
}
